From 7c8742685dee201f4fc182143dbcc6587f90a8f9 Mon Sep 17 00:00:00 2001
From: Neil Conway <neil@determined.ai>
Date: Sun, 2 Jun 2024 12:01:48 -0400
Subject: [PATCH v2 1/4] Adjust misleading comment placement

---
 src/backend/commands/copyto.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/commands/copyto.c b/src/backend/commands/copyto.c
index ae8b2e36d7..cd2d7bb217 100644
--- a/src/backend/commands/copyto.c
+++ b/src/backend/commands/copyto.c
@@ -969,15 +969,15 @@ CopyOneRowTo(CopyToState cstate, TupleTableSlot *slot)
 	MemoryContextSwitchTo(oldcontext);
 }
 
-/*
- * Send text representation of one attribute, with conversion and escaping
- */
 #define DUMPSOFAR() \
 	do { \
 		if (ptr > start) \
 			CopySendData(cstate, start, ptr - start); \
 	} while (0)
 
+/*
+ * Send text representation of one attribute, with conversion and escaping
+ */
 static void
 CopyAttributeOutText(CopyToState cstate, const char *string)
 {
-- 
2.39.3 (Apple Git-146)

